
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.Random;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author 4914
 */
public class PanelScacc extends javax.swing.JPanel implements MouseListener {

    // La scacchiera e i suoi due colori
    private Scacc scacc;
    private Color col1;
    private Color col2;

    /**
     * Creates new form PanelScacc
     */
    public PanelScacc() {
        initComponents();
        // Colori di default
        col1 = Color.BLACK;
        col2 = Color.WHITE;
        // Scacchiera
        scacc = new Scacc(50, 8, col1, col2);
        // PanelScacc è sorgente e ascoltatore di evento
        addMouseListener(this);

    }

    // Cambio del colore 1 della scacchiera
    public void setColor1(Color c) {
        scacc.setColor1(c);
        repaint();
    }

    // Cambio del colore 2 della scacchiera
    public void setColor2(Color c) {
        scacc.setColor2(c);
        repaint();
    }

    // Disegno della scacchiera
    public void paintComponent(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        scacc.draw(g2);
    }

    // Gestione del click del mouse
    public void mouseClicked(MouseEvent event) {
        int x = event.getX();
        int y = event.getY();
        int j = x / 50 + 1;
        int i = y / 50 + 1;
        if ((i <= 8) && (j <= 8)) {
            if ((i + j) % 2 == 0) {
                scacc.randomColor(true, false);
            } else {
                scacc.randomColor(false, true);
            }
        }
        repaint();

    }

    // Altri eventi del mouse non gestiti
    public void mouseEntered(MouseEvent event) {
    }

    public void mousePressed(MouseEvent event) {
    }

    public void mouseReleased(MouseEvent event) {
    }

    public void mouseExited(MouseEvent event) {
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
